Twilio Getting Started

User avatar
FlyingDiver
Posts: 7283
Joined: Sat Jun 07, 2014 10:36 am
Location: Southwest Florida, USA

Twilio Getting Started

Post by FlyingDiver »

The rest of this thread is obsolete. Follow the instructions in the Wiki: https://github.com/FlyingDiver/Indigo-Twilio/wiki
joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177
rldobbssr
Posts: 5
Joined: Thu Jul 28, 2016 2:39 pm

Re: Twilio Getting Started

Post by rldobbssr »

I have gone through all the posts (I think) and am still getting the following when I try to start the plugin:

Reloading plugin "Twilio 7.0.0"
Starting plugin "Twilio 7.0.0" (pid 1951)
Twilio Error Error in plugin execution InitializeMain:

Traceback (most recent call last):
File "plugin.py", line 11, in <module>
ImportError: No module named twilio.rest

Stopping plugin "Twilio 7.0.0" (pid 1951)
Stopped plugin "Twilio 7.0.0"

Any suggestions would be greatly appreciated.
User avatar
FlyingDiver
Posts: 7283
Joined: Sat Jun 07, 2014 10:36 am
Location: Southwest Florida, USA

Re: Twilio Getting Started

Post by FlyingDiver »

If you're getting that error, you do not have the twilio package installed properly. Make sure it's installed for Python 2.7, not Python 2.6.


Sent from my iPad using Tapatalk
joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177
rldobbssr
Posts: 5
Joined: Thu Jul 28, 2016 2:39 pm

Re: Twilio Getting Started

Post by rldobbssr »

That was it... Thanks for the quick response.
btassias
Posts: 48
Joined: Mon Apr 18, 2011 7:22 pm

Re: Twilio Getting Started

Post by btassias »

Hi
I had Twilio running on Indigo 6 for awhile now then i migrated the Indigo 6 over to a newer mac running Yosemite. then i upgraded to Indigo 7.0.2
My error is this, It looks like there is a newer plugin for Twilio 7 and somewhere in the forum i guess i need to use Python 2.7. verse 2.6 i used on Indigo 6
i just did the upgrade yesterday, Is there a link for the newer Twilio plugin? I did see the (Built in update mechanism) mentioned on the forum but not
familiar with that.

Bret


Starting plugin "Twilio 0.0.5" (pid 2067)
Twilio Error Error in plugin execution InitializeMain:

Traceback (most recent call last):
File "plugin.py", line 10, in <module>
ImportError: No module named twilio.rest
User avatar
FlyingDiver
Posts: 7283
Joined: Sat Jun 07, 2014 10:36 am
Location: Southwest Florida, USA

Re: Twilio Getting Started

Post by FlyingDiver »

You need to install the twilio library for Python 2.7. The command to do that should be "sudo pip2.7 install twilio".

Then just look in the plugins menu for the "upgrade" entry. It's below the Enable/Disable command.
joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177
btassias
Posts: 48
Joined: Mon Apr 18, 2011 7:22 pm

Re: Twilio Getting Started

Post by btassias »

Hi

I tried the command "Sudo pip2.7 install twilio" but had a error, then i did Sudo python --version which showed i had Python 2.7.10 no my mac
so it looked like i needed to install pip.py after trying "sudo python get-pip.py" after that was done i did the "Sudo pip install twillo"
then it said it successfully installed httplib2-0.9.2 twilio-5.6.0. Then i went back in Indigo i reloaded the plugin and saw the upgrade entry
and upgraded to v7.0 everything seems to be working as it did before. Not sure if i typed somthing wrong. What a great plugin.
I thank you for your effort in creating and supporting this. Is there any issues with this plugin IF i upgrade to Sierra?
User avatar
FlyingDiver
Posts: 7283
Joined: Sat Jun 07, 2014 10:36 am
Location: Southwest Florida, USA

Re: Twilio Getting Started

Post by FlyingDiver »

I can't think of any reason why you would have problems with Sierra. I don't have Sierra on my main Indigo machine, but I do on my iMac where I do all my plugin development.
joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177
rldobbssr
Posts: 5
Joined: Thu Jul 28, 2016 2:39 pm

Twilio Error on Start Up

Post by rldobbssr »

Had to reinstall OS due to Thunderstorm Power outage. I did a restore of the Indigo (v7) database and everything seemed to come back fine with the exception of Twilio Plugin. Below is the error I am getting:

Twilio Error Error in plugin execution InitializeMain:

Traceback (most recent call last):
File "plugin.py", line 11, in <module>
ImportError: cannot import name TwilioRestClient


I have tried to delete and reinstall the plugin but get same message.

Thanks in advance
User avatar
FlyingDiver
Posts: 7283
Joined: Sat Jun 07, 2014 10:36 am
Location: Southwest Florida, USA

Re: Twilio Getting Started

Post by FlyingDiver »

You need to install the Twilio library per post #1 in this thread.
joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177
rldobbssr
Posts: 5
Joined: Thu Jul 28, 2016 2:39 pm

Re: Twilio Getting Started

Post by rldobbssr »

Thanks- I believe have already done that. Here is what I get when I run: sudo pip install twilio:

Requirement already satisfied: twilio in /Library/Python/2.7/site-packages
Requirement already satisfied: six in /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python (from twilio)
Requirement already satisfied: PyJWT>=1.4.2 in /Library/Python/2.7/site-packages (from twilio)
Requirement already satisfied: requests>=2.0.0 in /Library/Python/2.7/site-packages (from twilio)
Requirement already satisfied: pysocks in /Library/Python/2.7/site-packages (from twilio)
Requirement already satisfied: pytz in /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python (from twilio)
User avatar
FlyingDiver
Posts: 7283
Joined: Sat Jun 07, 2014 10:36 am
Location: Southwest Florida, USA

Re: Twilio Getting Started

Post by FlyingDiver »

What OS are you running?

What do you get from this command?

Code: Select all

 sudo pip show twilio
joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177
User avatar
FlyingDiver
Posts: 7283
Joined: Sat Jun 07, 2014 10:36 am
Location: Southwest Florida, USA

Re: Twilio Getting Started

Post by FlyingDiver »

Nevermind. I see what's going on. The Twilio API library has been updated to a new version since I wrote the plugin, and the new version is not quite compatible.

For now, try this:

Code: Select all

sudo pip uninstall twilio
sudo pip install twilio==5.4.0
joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177
rldobbssr
Posts: 5
Joined: Thu Jul 28, 2016 2:39 pm

Re: Twilio Getting Started

Post by rldobbssr »

That was it, Thanks for the quick response. She's working perfectly now!
User avatar
FlyingDiver
Posts: 7283
Joined: Sat Jun 07, 2014 10:36 am
Location: Southwest Florida, USA

Re: Twilio Getting Started

Post by FlyingDiver »

Added to Wiki.
joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177
Post Reply

Return to “Twilio”